﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.8
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	Type TrackAndDistance(Track As Int, Distance As Int)
	Type HeadingAndGroundspeed(Heading As Int, Groundspeed As Int)
	Type Wind(Direction As Int, Speed As Int)
	Type Settings(ShowCodes As Boolean)

	Type FlightLogisticsWaypoint( _
				Name As String, _
				Code As String, _
				Position As Location, _
    			TypeName As String _                        
				) 
				
	Type Sector(Destination As FlightLogisticsWaypoint, _   		
    			DestinationSectorData As NavInfo, _      			
    			Alternate As FlightLogisticsWaypoint , _    			
    			AlternateSectorData As NavInfo, _       				
				HasAlternate As Boolean, _           				
     			DestinationIsPlannedRefuelPoint As Boolean, _        
				TotalFuelFromPlanning As Int, _          				
    			TotalFuelFromUser As Int, _              				
				DepartureRTOM As Int, _
    			Disposable As Int, _
				TotalLoadMass As Int, _
				RouteFuelAndTimeInfo As FlightFuelAndTime _				'This contains information from the start of this sector
)

'	'**************************************************************
'	'* A Type which contains all the nav and fuel information for a sector *
'	'**************************************************************
	Type NavInfo(		TrackTrue As Int, _
						TrackMagnetic As Int, _
						Distance As Int, _
						WindDirection As Int, _
						WindSpeed As Int, _
						GroundSpeed As Int, _
						Heading As Int, _
						Time As Int, _ 				' Number of minutes
						Fuel As Float, _
						ExtraFuel As Float, _
						InstrumentFuel As Float, _
						LoiterTime As Int, _
						LoiterFuel As Float, _
						Variation As Float _
						)
												
	Type FlightFuelAndTime(	DestinationFuel As Float, _
							AlternateFuel As Float, _
							VariableFuel As Float, _
							ApproachFuel As Float, _
							ExtraFuel As Float, _
							DeckFuel As Float, _
							FinalDestinationWaypoint As FlightLogisticsWaypoint, _
							FinalAlternateWaypoint As FlightLogisticsWaypoint _
							)

End Sub