﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9
@EndOfDesignText@
Sub Class_Globals
	'Public ActiveAircraft As Aircraft
	Public VeryFirstWaypoint As FlightLogisticsWaypoint
	Public RouteHasStart As Boolean
	Public SectorData As List

End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize()
	SectorData.Initialize
	VeryFirstWaypoint.Initialize
	VeryFirstWaypoint.Position.Initialize
End Sub

Public Sub GetNumberOfSectors() As Int
	Return SectorData.Size
End Sub

public Sub GetTimeForSector(SectorID As Int) As Int	
	Return 95
End Sub

public Sub AddSector(DestinationWaypoint As FlightLogisticsWaypoint, WindDirection As Int, WindSpeed As Int)
	
	Dim NewSector As Sector
	
	NewSector.Initialize
	NewSector.Destination = DestinationWaypoint
	NewSector.DestinationSectorData.WindDirection = WindDirection
	NewSector.DestinationSectorData.WindSpeed = WindSpeed
	NewSector.DepartureRTOM = 26500
	
	SectorData.Add(NewSector)
	
End Sub